---
title: Error Prone
summary: Rules to detect constructs that are either broken, extremely confusing or prone to runtime errors.
permalink: pmd_rules_xml_errorprone.html
folder: pmd/rules/xml
sidebaractiveurl: /pmd_rules_xml.html
editmepath: ../pmd-xml/src/main/resources/category/xml/errorprone.xml
keywords: Error Prone, MistypedCDATASection
language: XML
---
<!-- DO NOT EDIT THIS FILE. This file is generated from file ../pmd-xml/src/main/resources/category/xml/errorprone.xml. -->
## MistypedCDATASection

**Since:** PMD 5.0

**Priority:** Medium (3)

An XML CDATA section begins with a &lt;![CDATA[ marker, which has only one [, and ends with a ]]&gt; marker, which has two ].

**This rule is defined by the following XPath expression:**
``` xpath
//cdata-section[starts-with(@Image,'[') or ends-with(@Image,']')]
```

**Example(s):**

``` xml
{%raw%}<root>
    <child>
        <![CDATA[[ character data ]]> - this cdata section is valid, but it contains an
        additional square bracket at the beginning.
        It should probably be just <![CDATA[ character data ]]>.
    </child>
    <child>
        <![CDATA[ character data ]]]> - this cdata section is valid, but it contains an
        additional square bracket in the end.
        It should probably be just <![CDATA[ character data ]]>.
    </child>
</root>{%endraw%}
```

**Use this rule by referencing it:**
``` xml
<rule ref="category/xml/errorprone.xml/MistypedCDATASection" />
```

